Make a paymentAsk AIpost https://www.bankingcircleconnect.com/api/v1/payments/singlesThe endpoint is used for initiating a single payment.Body ParamsPayment instructionrequestedExecutionDatestringrequiredDate representation Format: ISO 8601 | YYYY-MM-DD Example: 2001-01-28fxQuoteIduuid | nullUnique identifier of the quote, previously retrieved through "fx/rates" endpoint. Optional field only used in case of Embedded FX RFQ flowdebtorAccountobjectrequiredAccount of the debtorAccountIdentifier objectdebtorVibanobjectViban of the debtorAccountIdentifier objectdebtorReferencestring | nullDebtor own reference. In case of machine-to-machine may be an identifier of your own system. Purely for own reference -> Is not part of the resulting paymentdebtorNarrativeToSelfstring | nullDebtor own narrative. Purely for own reference -> Is not part of the resulting paymentcurrencyOfTransferstringrequiredCurrency of the amount that will be remitted to the creditoramountobjectrequiredAn amountAmount objectchargeBearerstringrequiredWho will be charged with the payment fee Supported values are: "BEN" - Beneficiary bears Transaction charges" "OUR" - Ordering customer bears Transaction charges "SHA" - Transaction charges to be sharedremittanceInformationobjectInformation shared between debtor and creditor Unstructured free textRemittanceInformation objectcreditorIduuid | nullReference to a predefined creditor Condition: Conditional * Either creditorId is provided * Or creditorAccount, creditorName and creditorAddress properties are providedcreditorAccountobjectAccount of the creditor Condition: Conditional * Either creditorId is provided * Or creditorAccount is providedAccountIdentifier objectcreditorNamestring | nullName of the creditor Condition: Conditional * Either creditorId is provided * Or creditorName is providedcreditorAddressPostalAddressUnstructuredA postal addressPostalAddressUnstructured objectclearingNetworkstring | nullA clearing network a payment will be routed through. Possible values: SEPAINST, SEPA, T2prioritizedClearingNetworksarray of strings | nullA prioritized list of clearing networks a payment shall be routed through. Possible values in this list: SEPAINST, SEPA, T2List`1ADD stringserviceLevelsarray of strings | nullA prioritized list of service levels indicating the urgency of the payment. Possible values in this list: * INST - Instant * URGP - Urgent * NURG - Not UrgentList`1ADD stringpurposeCodestring | nullUnderlying reason for the payment transactioncategoryPurposeCodestring | nullSpecifies the high-level purpose of the instruction based on a set of pre-defined categoriescreditorProxyAccountobjectProxy information used for resolving creditor account Currently only supports PayID proxy typeProxyAccountSlim objectHeadersX-Verification-NoncestringX-MessageReferencestringUnique reference of the HTTP request.If left blank this field will be populated with a GUID without dashes.This field is limited to a maximum of 35 characters, if not upheld the API will return with an error 400 - Bad Request.Example: 6198eb60-d1dd-4aad-9bbd-b01a49214e62Idempotency-KeystringUnique value generated by the user which the API uses to recognize subsequent retries of the same request.This field is limited to a maximum of 100 characters, if not upheld the API will return with an error 400 - Bad Request.Example: 2b7b05ad-4411-4a19-8c95-2508b17e0fd8Responses 201Created 400Bad request. Request is not correctly formulated. Goes for both Header, Query and Body. Verify the error description and properties. 403Forbidden. The server understood the request, but is refusing it or the access is not allowed, i.e. if resource exists but calling user does not have rights to access it. 404Not found. There is no resource behind the URL, i.e. requesting data on an account that does not exist. 409Conflict. Idempotency-key violation. Request being handled. 500Internal Server Error. Something unexpected happened on BC Connect side.Updated 11 days ago